package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.CompanyGoodInfo;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface CompanyGoodInfoDAO {
	int insert(CompanyGoodInfo entity);
	int update(CompanyGoodInfo entity);
	int exist(String id);
	CompanyGoodInfo get(String id);
	int delete(String id);
	List<CompanyGoodInfo> list();
	List<CompanyGoodInfo> findByCompanyId(String companyId);
	CompanyGoodInfo findByCompanyIdAndGoodsId(String companyId,String GoodsId);
	List<CompanyGoodInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
}